#include "testApp.h"
#include "ofMain.h"

//--------------------------------------------------------------
void testApp::setup(){

	leaves.loadImage("leaves.jpg");
	//myImage.load("leaves.jpg");
	
	// macs by default run on non vertical sync, which can make animation very, very fast
	// this fixes that: 
	
	ofSetVerticalSync(true);
	
	// set background: 
	
	ofBackground(30,30,30);
	ofSetCircleResolution(250);
	
	// set the "a" and "b" positions of the rectangle...
	
	for(int i=0; i<numCircles; i++){
		myCircle[i].posa.x =0;   
   		myCircle[i].posa.y = 10 + i*20;
		myCircle[i].posb.x = 400;
		myCircle[i].posb.y = i*20;
		myCircle[i].shaper = 0.2 + 0.1*i;
		myCircle[i].interpolateByPct(0, 50, 50);
		}
	
	/*myCircle.posa.x = 10;
	myCircle.posa.y = 100;
	myCircle.posb.x = 500;
	myCircle.posb.y = 140;
	myCircle.interpolateByPct(0);*/	// start at 0 pct
				   
	pct = 0.3;						// a variable we can alter...		
} 

//--------------------------------------------------------------
void testApp::update(){
	
	// to see pct in the console
	//printf("%f \n", pct);
	 
	for(int i=0; i<numCircles; i++){
		if(i == 0) {
			myCircle[i].interpolateByPct(pct, mouseX, mouseY);  	// go between pta and ptb
		} else {
			myCircle[i].interpolateByPct(pct, myCircle[i-1].pos.x, myCircle[i-1].pos.y);  	// go between pta and ptb
		}
	}

}

//--------------------------------------------------------------
void testApp::draw(){
	
		leaves.draw(0,0);
	
		for(int i= 0;i<numCircles; i++){
				   ofSetColor(100, 200, 225);
				   myCircle[i].draw();
		}
	
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
	//myRectangle.posa.x = x;
	//myRectangle.posa.y = y;
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
